package syndicus.domain.util;

import java.io.Serializable;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.hibernate.type.DoubleType;

/**
 * 
 * @author debeuckelaer.d
 * 
 */
public class EuroType extends DoubleType {
	@Override
	public Serializable getDefaultValue() {
		return new Euro();
	}

	@Override
	public Object get(ResultSet rs, String name) throws SQLException {
		return new Euro(rs.getDouble(name));
	}

	@Override
	public Class<?> getReturnedClass() {
		return Euro.class;
	}

	public void set(PreparedStatement st, Object value, int index)
			throws SQLException {
		st.setDouble(index, ((Euro) value).getPreciceValue());
	}
	
	public Object fromStringValue(String xml) {
		return new Euro((Double) super.fromStringValue(xml));
	}


}
