package euro.test;

import javax.persistence.Column;
import javax.persistence.Entity;

import org.hibernate.annotations.Type;
import org.hibernate.envers.Audited;

import syndicus.domain.util.Euro;

@Entity
@Audited
public class CostWithEuro extends AbstractBaseEntity {

	
	@Column(precision = 6, scale = 2)
	@Type(type = "syndicus.domain.util.EuroType")
	private Euro euro = new Euro();

	public Euro getEuro() {
		return euro;
	}

	public void setEuro(Euro euro) {
		this.euro = euro;
	}

}
